{% extends "@ChillPerson/AccompanyingCourse/layout.html.twig"  %}

{% set activeRouteKey = '' %}

{% block title %}{{ 'Delete document ?' }}{% endblock %}

{% block docdescription %}
    <dl class="chill_view_data">
        <dt>{{ 'Title'|trans }}</dt>
        <dd>{{ document.title }}</dd>

        <dt>{{ 'Category'|trans }}</dt>
        <dd>{{ document.category.name|localize_translatable_string }}</dd>

        <dt>{{ 'Description' | trans }}</dt>
        <dd>
            {% if document.description is empty %}
                <span class="chill-no-data-statement">{{ 'Any description'|trans }}</span>
            {% else %}
                <blockquote class="chill-user-quote">
                    {{ document.description|chill_markdown_to_html }}
                </blockquote>
            {% endif %}
        </dd>
    </dl>
{% endblock %}

{% block content %}
{{ include('@ChillMain/Util/confirmation_template.html.twig',
    {
        'title'             : 'Delete document ?'|trans,
        'display_content'   : block('docdescription'),
        'confirm_question'  : 'Are you sure you want to remove this document ?'|trans,
        'cancel_route'      : 'chill_docstore_generic-doc_by-period_index',
        'cancel_parameters' : {'id' : accompanyingCourse.id},
        'form'              : delete_form
    } ) }}
{% endblock %}
